<?php
@include("../../class/connect.php");
if(!defined('InEmpireCMS'))
{
	exit();
}
@include("../../class/config.php");
$myuserid=(int)getcvar('mluserid');
if($myuserid)
{
	@include("../../class/db_sql.php");
	@include("../../class/user.php");
	@include("../../class/MemberLevel.php");
	$link=db_connect();
	$empire=new mysqlquery();
	//数据
	$myusername=getcvar('mlusername');
	$myrnd=getcvar('mlrnd');
	$r=$empire->fetch1("select ".$user_userid.",".$user_username.",".$user_group.",".$user_userfen.",".$user_money.",".$user_userdate.",".$user_havemsg." from ".$user_tablename." where ".$user_userid."='$myuserid' and ".$user_rnd."='$myrnd' limit 1");
	if(empty($r[$user_userid]))
	{
		EmptyEcmsCookie();
		echo"<script>self.location.reload();</script>";
		exit();
	}
	//会员等级
	if(empty($r[$user_group]))
	{$groupid=$user_groupid;}
	else
	{$groupid=$r[$user_group];}
	$groupname=$level_r[$groupid]['groupname'];
	//点数
	$userfen=$r[$user_userfen];
	//余额
	$money=$r[$user_money];
	//天数
	$userdate=0;
	if($r[$user_userdate])
	{
		$userdate=$r[$user_userdate]-time();
		if($userdate<=0)
		{$userdate=0;}
		else
		{$userdate=round($userdate/(24*3600));}
	}
	//是否有短信息
	$havemsg="";
	if($r[$user_havemsg])
	{
		$havemsg="<a href='".$public_r['newsurl']."e/member/msg' target=_blank><font color=red>您有新信息</font></a>";
	}
	//$myusername=$r[$user_username];
	db_close();
	$empire=null;
?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<title>登陆</title>
<LINK href="../../data/images/qcss.css" rel=stylesheet>
</head>
<body bgcolor="#ededed" topmargin="0">
<table border="0" cellpadding="0" cellspacing="0" width="100%">
    <tr> 
      
    <td height="23" align="center">
<div align="left">&raquo;&nbsp;<font color=red><b><?=$myusername?></b></font>&nbsp;<a href="../my" target="_parent"><?=$groupname?></a>&nbsp;<?=$havemsg?>&nbsp;<a href="../msg" target=_blank>短信息</a>&nbsp;&nbsp;<a href="../fava" target=_blank>收藏夹</a>&nbsp;&nbsp;<a href="../cp" target="_parent">控制面板</a>&nbsp;&nbsp;<a href="../../enews?enews=exit&prtype=9" onclick="return confirm('确认要退出?');">退出</a> 
      </div></td>
    </tr>
</table>
</body>
</html>
<?
}
else
{
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<title>登陆</title>
<LINK href="../../data/images/qcss.css" rel=stylesheet>
</head>
<body bgcolor="#ededed" topmargin="0">
<table border="0" cellpadding="0" cellspacing="0" width="100%">
  <form name=login method=post action="../../enews/index.php">
    <input type=hidden name=enews value=login>
	<input type=hidden name=prtype value=1>
    <tr> 
      <td height="23" align="center">
<div align="left">用户名
<input name="username" type="text" size="8">
          密码
<input name="password" type="password" size="8">
          <select name="lifetime" id="lifetime">
            <option value="0">不保存</option>
            <option value="3600">一小时</option>
            <option value="86400">一天</option>
            <option value="2592000">一个月</option>
            <option value="315360000">永久</option>
          </select>
          <input type="submit" name="Submit" value="登陆">
<input type="button" name="Submit2" value="注册" onclick="window.open('../register');">
        </div></td>
    </tr>
  </form>
</table>
</body>
</html>

<?
}
?>